package body MSHTML.IHTMLFontSizesCollection_Object is

   function Get_length
     (This : IHTMLFontSizesCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFontSizesCollection_Get_length);
   end Get_length;

   function Getu_newEnum
     (This : IHTMLFontSizesCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFontSizesCollection_Getu_newEnum);
   end Getu_newEnum;

   function Get_forFont
     (This : IHTMLFontSizesCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFontSizesCollection_Get_forFont);
   end Get_forFont;

   function item
     (This  : IHTMLFontSizesCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLFontSizesCollection_item,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index),
         Free);
   end item;

end MSHTML.IHTMLFontSizesCollection_Object;

